Package org.apache.aries.jax.rs.openapi

## Class OpenApiBundleActivator

- java.lang.Object
- - org.apache.aries.jax.rs.openapi.OpenApiBundleActivator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

    @Header(name="Bundle-Activator",
            value="${@class}")
    public class OpenApiBundleActivator
    extends Object
    implements org.osgi.framework.BundleActivator

Author:
  Carlos Sierra Andrés

### Constructor Summary

Constructors
`OpenApiBundleActivator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `start​(org.osgi.framework.BundleContext bundleContext)`
`void` `stop​(org.osgi.framework.BundleContext bundleContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenApiBundleActivator

    public OpenApiBundleActivator()

### Method Detail

#### start

    public void start​(org.osgi.framework.BundleContext bundleContext)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

#### stop

    public void stop​(org.osgi.framework.BundleContext bundleContext)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`